#
# spec file for package svrcore
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2009-2011 Wolfgang Rosenauer
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           svrcore
%define libpackage libsvrcore0
Version:        4.1.3
Release:        2.32
Summary:        Secure PIN handling using NSS crypto
License:        MPL-2.0
Group:          Development/Libraries/C and C++
Url:            https://pagure.io/svrcore
Source0:        https://releases.pagure.org/svrcore/svrcore-%{version}.tar.bz2
Source1:        baselibs.conf
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  mozilla-nss-devel
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(libsystemd)
BuildRequires:  pkgconfig(systemd)

%description
svrcore provides applications with several ways to handle secure PIN storage
e.g. in an application that must be restarted, but needs the PIN to unlock
the private key and other crypto material, without user intervention.  svrcore
uses the facilities provided by NSS.


%package -n %{libpackage}
Summary:        Secure PIN handling using NSS crypto
Group:          System/Libraries

%description -n %{libpackage}
svrcore provides applications with several ways to handle secure PIN storage
e.g. in an application that must be restarted, but needs the PIN to unlock
the private key and other crypto material, without user intervention.  svrcore
uses the facilities provided by NSS.


%package devel
Summary:        Development files for secure PIN handling using NSS crypto
Group:          Development/Libraries/C and C++
Requires:       %{libpackage} = %{version}-%{release}
Requires:       mozilla-nspr-devel
Requires:       mozilla-nss-devel

%description devel
svrcore provides applications with several ways to handle secure PIN storage
e.g. in an application that must be restarted, but needs the PIN to unlock
the private key and other crypto material, without user intervention.  svrcore
uses the facilities provided by NSS.

This package contains header files and symlinks to develop programs which will
use the libsvrcore library.  You should install this package if you need to
develop programs which will use the svrcore library.

%prep
%setup -q

%build
./autogen.sh
%configure --with-systemd

make

%install
%make_install
rm -f $RPM_BUILD_ROOT%{_libdir}/libsvrcore.a
rm -f $RPM_BUILD_ROOT%{_libdir}/libsvrcore.la

%post -n %{libpackage} -p /sbin/ldconfig

%postun -n %{libpackage} -p /sbin/ldconfig

%files -n %{libpackage}
%defattr(-,root,root,-)
%{_libdir}/libsvrcore.so.*

%files devel
%defattr(-,root,root,-)
%doc LICENSE README NEWS
%{_libdir}/pkgconfig/svrcore.pc
%{_libdir}/libsvrcore.so
%{_includedir}/svrcore.h

%changelog
* Tue Aug 29 2017 hguo@suse.com
- Introduce systemd build dependencies to properly enable systemd
  integration.
* Thu Jun  1 2017 wr@rosenauer.org
- updated license string to MPL-2.0
* Fri Mar 24 2017 mrueckert@suse.de
- update to 4.1.3
  * Code quality fixes.
* Tue Nov 22 2016 jengelh@inai.de
- Remove redundant pkgconfig requires, it is already autodetected.
  RPM group classification fix. Minor macro cleanup.
* Sun Nov 20 2016 aj@ajaissle.de
- Upstream changed from Mozilla to Fedora (389 directory server)
- New upstream release 4.1.2
  changes in 4.1.0:
  * Add support for systemd-ask-pass integration
  changes in 4.1.1:
  * Code quality and stability fixes.
  changes in 4.1.2:
  * Code quality fixes.
* Mon Apr 11 2011 wr@rosenauer.org
- fixed License tags
* Fri Dec 25 2009 wr@rosenauer.org
- initial package
